Coolify logoCoolify
PATCH
/databases/{uuid}

Update database by UUID.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Path Parameters

uuid*string

UUID of the database.

Request Body

application/json

Database data

TypeScript Definitions

Use the request body type in TypeScript.

name?string

Name of the database

description?string

Description of the database

image?string

Docker Image of the database

is_public?boolean

Is the database public?

public_port?integer

Public port of the database

limits_memory?string

Memory limit of the database

limits_memory_swap?string

Memory swap limit of the database

limits_memory_swappiness?integer

Memory swappiness of the database

limits_memory_reservation?string

Memory reservation of the database

limits_cpus?string

CPU limit of the database

limits_cpuset?string

CPU set of the database

limits_cpu_shares?integer

CPU shares of the database

postgres_user?string

PostgreSQL user

postgres_password?string

PostgreSQL password

postgres_db?string

PostgreSQL database

postgres_initdb_args?string

PostgreSQL initdb args

postgres_host_auth_method?string

PostgreSQL host auth method

postgres_conf?string

PostgreSQL conf

clickhouse_admin_user?string

Clickhouse admin user

clickhouse_admin_password?string

Clickhouse admin password

dragonfly_password?string

DragonFly password

redis_password?string

Redis password

redis_conf?string

Redis conf

keydb_password?string

KeyDB password

keydb_conf?string

KeyDB conf

mariadb_conf?string

MariaDB conf

mariadb_root_password?string

MariaDB root password

mariadb_user?string

MariaDB user

mariadb_password?string

MariaDB password

mariadb_database?string

MariaDB database

mongo_conf?string

Mongo conf

mongo_initdb_root_username?string

Mongo initdb root username

mongo_initdb_root_password?string

Mongo initdb root password

mongo_initdb_database?string

Mongo initdb init database

mysql_root_password?string

MySQL root password

mysql_password?string

MySQL password

mysql_user?string

MySQL user

mysql_database?string

MySQL database

mysql_conf?string

MySQL conf

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://app.coolify.io/api/v1/databases/string" \  -H "Content-Type: application/json" \  -d '{}'
Empty
{  "message": "Invalid token."}
{  "message": "Unauthenticated."}
{  "message": "Resource not found."}
{  "message": "Validation error.",  "errors": {    "name": [      "The name field is required."    ],    "api_url": [      "The api url field is required.",      "The api url format is invalid."    ]  }}